# ~/.bashrc: executed by bash(1) for non-login shells. -*- sh -*-
# see /usr/share/doc/bash/examples/startup-files for examples

 # If running interactively, then:
if [ "$PS1" ]; then

    # enable color support of ls and also add handy aliases

    test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
    alias ls='ls --color=auto'
    alias ll='ls --color=auto -alh'
    alias lsl='ls --color=auto -sh'

    alias grep='grep --color=auto'
    alias zgrep='grep --color=yes'
    
    alias fnorm="rename 's/\ /_/g;s/\(//g;s/\)//g;s/\[//g;s/\]//g;s/%20/_/g;s/%//g' "
    alias rsync='rsync -v --progress --partial'
    alias ae='jed'
    
######### CYRILLIC ALIASES #####

	alias лс=ls
	alias лл=ll
	alias лсл=lsl
	alias ае=ae
	alias еьит=exit
	alias цд=cd

######### SSH ALIASES ###########

alias remote='echo -n "baphometsthrone.ath.cx ";autossh -NqfR 8873:127.0.0.1:873 baphometsthrone.ath.cx'

######### ELMO SETTINGS #########
	stty stop undef

######### PROMPT ################
#		\[\033[x;xxm\]
#Black       0;30     Dark Gray     1;30
#Blue        0;34     Light Blue    1;34
#Green       0;32     Light Green   1;32
#Cyan        0;36     Light Cyan    1;36
#Red         0;31     Light Red     1;31
#Purple      0;35     Light Purple  1;35
#Brown       0;33     Yellow        1;33
#Light Gray  0;37     White         1;37
#
# Configure Colors:
#
COLOR_WHITE='\033[1;37m'
COLOR_LIGHTGRAY='\033[0;37m'
COLOR_GRAY='\033[1;30m'
COLOR_BLACK='\033[0;30m'
COLOR_RED='\033[0;31m'
COLOR_LIGHTRED='\033[1;31m'
COLOR_GREEN='\033[0;32m'
COLOR_LIGHTGREEN='\033[1;32m'
COLOR_BROWN='\033[0;33m'
COLOR_YELLOW='\033[1;33m'
COLOR_BLUE='\033[0;34m'
COLOR_LIGHTBLUE='\033[1;34m'
COLOR_PURPLE='\033[0;35m'
COLOR_PINK='\033[1;35m'
COLOR_CYAN='\033[0;36m'
COLOR_LIGHTCYAN='\033[1;36m'
COLOR_DEFAULT='\033[0m'
#
#	\a     an ASCII bell character (07)
#	\d     the date in "Weekday Month Date" format (e.g., "Tue May 26")
#	\e     an ASCII escape character (033)
#	\h     the hostname up to the first `.'
#	\H     the hostname
#	\j     the number of jobs currently managed by the shell
#	\l     the basename of the shell's terminal device name
#	\n     newline
#	\r     carriage return
#	\s     the name of the shell, the basename of $0 (following final slash)
#	\t     the current time in 24-hour HH:MM:SS format
#	\T     the current time in 12-hour HH:MM:SS format
#	\@     the current time in 12-hour am/pm format
#	\A     the current time in 24-hour HH:MM format
#	\u     the username of the current user
#	\v     the version of bash (e.g., 2.00)
#	\V     the release of bash, version + patchelvel (e.g., 2.00.0)
#	\w     the current working directory
#	\W     the basename of the current working directory
#	\!     the history number of this command
#	\#     the command number of this command
#	\$     if the effective UID is 0, a #, otherwise a $
#	\nnn   the character corresponding to the octal number nnn
#	\\     a backslash
#	\[     begin sequence of non-printing chars, embed terminal ctrl sequence in prompt
#	\]     end a sequence of non-printing characters
#
#  Default prompt
PS1='\[\033[1;35m\]|\[\033[1;31m\]Gr\[\033[1;33m\]i\[\033[1;31m\]fter\[\033[1;35m\]|\[\033[0;36m\]\w\[\033[1;35m\]|\[\033[1;31m\]\t\[\033[1;35m\]|\[\033[1;37m\]\$\[\033[0m\] '
#
#  MS Terminal Explorer (not used)
#PS1='\[\033[1;37m\]MS \[\033[1;36m\]TERMINAL \[\033[0;31m\]E\[\033[1;31m\]x\[\033[0;32m\]p\[\033[1;32m\]l\[\033[0;33m\]a\[\033[1;33m\]w\[\033[0;34m\]r\[\033[1;34m\]a\[\033[0;35m\]r\n\[\033[0;36m\]Now Browsing:\[\033[1;36m\]\w '
#
#  Default prompt with human-readable colours (But utf-8 lines mess up word-wrapping
#PS1="${COLOR_PINK}│${COLOR_LIGHTRED}Gr${COLOR_YELLOW}i${COLOR_LIGHTRED}fter${COLOR_PINK}│${COLOR_CYAN}\w${COLOR_PINK}│${COLOR_LIGHTRED}\t${COLOR_PINK}│${COLOR_WHITE}\$${COLOR_DEFAULT} "
#
#

fi


if [ -d ~/bin ] ; then
    PATH=~/bin:"${PATH}"
fi

if [ -f /etc/bash_completion ] && ! shopt -oq posix; then
    . /etc/bash_completion
fi

